<script setup>
import { RouterLink } from 'vue-router'
</script>

<template>
  <!--Cabecera-->
  <header>
    <a href="/">
      <img alt="MarvelDC logo" class="logo" src="@/assets/logo.png" />
    </a>

    <button id="menu" type="button">
      <span id="menu-abrir">&#9776</span>
      <span id="menu-cerrar">X</span>
    </button>

    <nav>
      <ul>
        <li>
          <RouterLink to="/">Home</RouterLink>
        </li>
        <li>
          <RouterLink :to="`/Marvel/marvel?type=Marvel-Comics`">Heroes Marvel</RouterLink>
        </li>
        <li>
          <RouterLink :to="`/DC/dc?type=DC-Comics`">Heroes DC</RouterLink>
        </li>
        <li>
          <RouterLink to="/about">Acerca de mi</RouterLink>
        </li>
      </ul>
    </nav>

  </header>
</template>

<style scoped>
/*
clases header
*/
header {
  display: flex; /*con esto definimos que es un flex container*/
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  background: #000;
  outline: solid red;
  width: 100%;

}
nav ul {
  display: flex;
  flex-direction: row;
  list-style: none;
  margin: 0;
  padding: 0;
}

nav ul li {
  margin: 0 10px;
}

nav ul li a {
  text-decoration: none;
  color: white;
  font-family: "RobotoCondensed-Bold";
  font-size: large;
}

nav ul li a:hover {
  text-decoration: underline;
  color: white;
}

#menu {
  display: none;
}

</style>